attribute vec2 tex1;
varying vec2 texCoord;
varying vec3 eye;
uniform float anim;
varying vec3 eyeSC;
void main()
{

 texCoord = tex1;
 mat4 mod = gl_ModelViewMatrix;
 /*mod[0] = vec4(1.0,0.0,0.0,0.0);
 mod[1] = vec4(0.0,1.0,0.0,0.0);
 mod[2] = vec4(0.0,0.0,1.0,0.0);//*/
 
 /*mod[0] *=0.8; 
 mod[1] *=0.8;
 mod[2] *=0.2; */
 vec4 vert = vec4(gl_Vertex.xyz,gl_Vertex.w);
 float limit =length(vert.xyz)*0.007 - 0.1;
 float plusser =anim - limit*floor(anim/limit);// modulo(anim,1500.0);
// vert.y -=plusser;

 eyeSC = (gl_ProjectionMatrix*mod*vert).xyz;
 vec3 plussah = vec3(0,sin(anim*4.2 + gl_Vertex.y*134.1)*0.4,0.0);
 eye = (mod*vert).xyz + plussah;
 gl_Position = gl_ProjectionMatrix *(vec4(mod*vert) + vec4(plussah,0.0));//ftransform();
 eyeSC.xyz/=gl_Position.w;

}